class AccountController < ApplicationController
  before_filter :session_authenticate, :except => %w( login authenticate )

  def login
  end

  def logout
    @session["me"] = nil
  end

  def welcome
    @me = @session["me"]
  end

  def authenticate
    if user = User.authenticate(@params["me"]["name"], @params["me"]["password"])
# breakpoint
      @session["me"] = user
      redirect_to :action => "welcome"
    else
      flash["alert"] = "Login failed!"
      redirect_to :action => "login"
    end
  end

private

  def session_authenticate
    unless @session["me"]
      redirect_to :action => "login"
      false
    end
  end

end
